LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-20-2009, 09:54 AM   #1
alamgir
LQ Newbie
 
Registered: Jun 2009
Posts: 15

Rep: Reputation: 0
Question 3D Effects cannot enabled on ATI RADEON HD 2400 PRO


I am using ubuntu 9.04 on ATI RADEON HD 2400 PRO Card. After installing ubunbtu when i tried to enable ati restricted driver from system-hardware (for enabling 3d Effects ie compiz ) I found a blank screen and on above it shows "No Proprietary Drivers are in use on this system".

Though when I boot my system by using live CD It show the restricted driver if I use sysytem-Hradware Drivers

Where is the problem ?


I also tried to enabling extra visual effects under Appearance Preference Menu ( screen shoot enclosed) but without success.

And I use the lspci -nn | grep VGA command in terminal mode it shows the following :

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV610 video device [Radeon HD 2400 PRO] [1002:94c3]


Can anyone help me to resolve the problem?
 
Old 07-20-2009, 09:56 AM   #2
jdkaye
LQ Guru
 
Registered: Dec 2008
Location: Westgate-on-Sea, Kent, UK
Distribution: Debian Testing Amd64
Posts: 5,464

Rep: Reputation: Disabled
Are you using ATI's fglrx driver? What is the output of running
Code:
fglrxinfo
from a terminal?
jdk
 
Old 07-20-2009, 11:04 AM   #3
alamgir
LQ Newbie
 
Registered: Jun 2009
Posts: 15

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by jdkaye View Post
Are you using ATI's fglrx driver? What is the output of running
Code:
fglrxinfo
from a terminal?
jdk

murshed@murshed-desktop:~$ fglrxinfo
The program 'fglrxinfo' is currently not installed. You can install it by typing:
sudo apt-get install xorg-driver-fglrx
bash: fglrxinfo: command not found
murshed@murshed-desktop:~$


and whent I enterd sudo apt-get install xorg-driver-fglrx
it shows the following

murshed@murshed-desktop:~$ sudo apt-get install xorg-driver-fglrx
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
xorg-driver-fglrx: Depends: fglrx-kernel-source but it is not going to be installed
E: Broken packages
murshed@murshed-desktop:~$
 
Old 07-20-2009, 11:48 AM   #4
jdkaye
LQ Guru
 
Registered: Dec 2008
Location: Westgate-on-Sea, Kent, UK
Distribution: Debian Testing Amd64
Posts: 5,464

Rep: Reputation: Disabled
I am not sure about your video card, HD 2400 PRO, but on many of ATI's cards you can't get 3D acceleration without using the fglrx driver. You don't seem to have one installed therefore no compiz for you until you do install it. I could tell you how to do it on Debian but I use the proprietary driver from the ATI site and build the module myself. It appears that this is what Ubuntu does in a roundabout way without teaching you anything useful. So you need to install the depency it's asking for, namely fglrx-kernel-source. It needs that to build the fglrx module. It probably will need the kernel source installed as well as the kernel headers but maybe you've done that already.
Cheers,
jdk
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Kde 4.2 effects: if enabled, slackware 12.2 (with radeon drivers) freezes prof Slackware 15 02-23-2009 03:58 PM
Desktop effects could not be enabled - ATi Radeon Xpress 1100 - Compiz ithinkthereforeiam Linux - Newbie 13 04-26-2008 10:52 PM
Dual Screen with ATI Radeon 2400 Fle>< Linux - Software 0 11-13-2007 01:29 PM
LXer: ATI Radeon HD 2400/2600 On Linux LXer Syndicated Linux News 0 09-08-2007 04:10 AM
Multiple Problems with Desktop Effects/Beryl in Ubuntu 7.04 (Radeon x1300 pro) vonfeldt7 Linux - General 7 07-19-2007 09:43 AM


All times are GMT -5. The time now is 11:36 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration